Package Details: google-talkplugin 5.41.3.0-1

Git Clone URL: https://aur.archlinux.org/google-talkplugin.git (read-only)
Package Base: google-talkplugin
Description: Video chat browser plug-in for Google Hangouts
Upstream URL: http://www.google.com/chat/video
Licenses: custom:google
Submitter: cpcgm
Maintainer: ava1ar
Last Packager: ava1ar
Votes: 1162
Popularity: 0.375690
First Submitted: 2010-08-20 09:18
Last Updated: 2017-03-02 02:50

Latest Comments

« First ‹ Previous ... 72 73 74 75 76 77

cpcgm commented on 2010-08-20 16:04

I'm about to change that.

dcelasun commented on 2010-08-20 16:03

Once again, pulseaudio is NOT a dependency, alsa-utils provides the necessary libraries.

cpcgm commented on 2010-08-20 13:39

PKGBUILD updated. I didn't increase the pkgrel because there's no change for those that already installed it.

dstein commented on 2010-08-20 13:21

This is working great for me on Arch64. Made a video call to an officemate who is running 32-bit Windows XP. Since we're in the same office, I was able to confirm. I believe libv4l may be required for some webcams.

cpcgm commented on 2010-08-20 13:14

After a reboot everything's working. Maybe the modules haven't been loaded correctly after the latest kernel update. So it shouldn't be a dependency issue. I'll clean up the PKGBUILD.

cpcgm commented on 2010-08-20 10:17

Do you see avatars? My video window is completely black but manveru can see his and my avatar. So he has something I don't and we don't know what it is.

dcelasun commented on 2010-08-20 10:14

Well no, same problem here. Just a black screen :/

I'll post here if I can figure something out.

cpcgm commented on 2010-08-20 10:10

I know, thanks. It was not meant to be a final version, as the commented deb-dependencies show. We're still trying to figure out which dependencies are necessary. Audio is working but video not. The screen remains black. Does it work for you?

dcelasun commented on 2010-08-20 09:55

The PKGBUILD is flawed in countless ways!

First, it doesn't source the deb file (wget? really??), it includes empty arrays etc. Here, I've cleaned it up for you.

# Maintainer: Dominik Mayer <dominik.mayer@gmail.com>
pkgname=google-talkplugin
pkgver=1.4.1
pkgrel=1
pkgdesc="Video chat browser plug-in for Google Talk"
arch=('i686' 'x86_64')
url="http://www.google.com/chat/video"
license=('unknown')

[ $CARCH == x86_64 ] && depends=('lib32-gcc-libs>=4.1.1' 'lib32-libstdc++5' 'pulseaudio' 'glibc>=2.4' 'lib32-glibc>=2.3.4' 'fontconfig>=2.4.0' 'freetype2>=2.3.5' 'libgl' 'glew>=1.5.0' 'glib2>=2.12.0' 'gtk2>=2.12.0' 'libpng12>=1.2.13' 'libstdc++5' 'lib32-libx11' 'lib32-libxt' 'lib32-openssl-compatibility')
[ $CARCH == i686 ] && depends=('gcc-libs>=4.1.1' 'alsa-utils' 'glibc>=2.4' 'fontconfig>=2.4.0' 'freetype2>=2.3.5' 'libgl' 'glew>=1.5.0' 'glib2>=2.12.0' 'gtk2>=2.12.0' 'libpng12>=1.2.13' 'libstdc++5' 'libx11' 'libxfixes'
'libxt' 'openssl-compatibility')


if [ "${CARCH}" = 'x86_64' ]; then
ARCH='amd64'
else
ARCH='i386'
fi

optdepends=('libnotify')
source=(http://dl.google.com/linux/direct/google-talkplugin_current_$ARCH.deb)
md5sums=('876920feee6dfbe393a45efdef05d83c')

build() {
msg "Extracting..."
ar -xv google-talkplugin_current_$ARCH.deb || return 1
tar -xvf data.tar.gz || return 1
msg2 "Done extracting!"
msg "Moving files"
mv $srcdir/opt $pkgdir
mv $srcdir/usr $pkgdir
msg2 "Done moving files"


}

dcelasun commented on 2010-08-20 09:48

Uhm... You've added pulseaudio as a dependency, but it requires alsa-utils OR pulseaudio. You should mention that in the PKGBUILD.